//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré à partir d'un modèle.
//
//     Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//     Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ADG_Assistance.DB
{
    using System;
    using System.Collections.Generic;
    
    public partial class Membres
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Membres()
        {
            this.Appel = new HashSet<Appel>();
            this.T_AppelMembres = new HashSet<T_AppelMembres>();
        }
    
        public int id { get; set; }
        public string user { get; set; }
        public string password { get; set; }
        public string role { get; set; }
        public string mail { get; set; }
        public string tel { get; set; }
        public string prenom { get; set; }
        public string nom { get; set; }
        public string civilite { get; set; }
        public string FullName { get; set; }
        public Nullable<bool> FirstConnexion { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Appel> Appel { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<T_AppelMembres> T_AppelMembres { get; set; }
    }
}
